[ovs-discuss] Binding SNAC to overflow

benzwt benzwt benzwt at gmail.com
Fri Apr 15 10:32:04 UTC 2011


Dear OVS developers,

I have download a package(1.0 compliant SNAC Binary x86_64) from
http://www.openflow.org/wp/snac/, and the nox_core and nox-monitor is
now up and running.
Would you guys give me a direction to proceed further ?

By the way, I faced many problems during the installing of SNAC.
I will describe the problems and solutions as below:

1. the SNAC deb are depended on python2.5, which ubuntu (10.10) don't have.
   In order to install python2.5, I then added the following to the
/etc/apt/sources.list

  deb http://ppa.launchpad.net/fkrull/deadsnakes/ubuntu maverick main
  deb-src http://ppa.launchpad.net/fkrull/deadsnakes/ubuntu maverick main

  and #apt-get update

2. a. installing the pre-requisite package(describe on the SNAC
webpage) and copy
       /usr/lib/python2.6/dist-pakage/* to /usr/lib/python2.5/site-package

   b. unpack snac_packages_amd64.tar.gz
       dpkg -i *.deb

3.
   I found that nox_monitor was running, but nox_core is down.

   sh#/opt/nox/bin/nox_core

   I got a error in python
   [nox-dev] attribute '_handleSigchld'

   this is because the lastest python-twisted don't  support  _handleSigchld
   I then fetch the python-twisted 8.0 and zope.interface-3.3.0 and
install them into the python2.5's site-package.
   Finally, I have both nox_core and nox-monitor up and running.


May be I don't need to install snac because...I found some command from google

ovs-vsctl set-controller <bridge> [ssl|tcp]:<flowvisor_ip>

You see the flowvisor_ip. We can install flowvisor for this command.


best regards,
benzwt



More information about the discuss mailing list